Issue #24 resolved

Cannot use with svn 1.4.x

Shun-ichi Goto
created an issue

A new svn.ra.Callbacks is introduced in r45, but it does not exist old 1.4.x swig binding. So hgsubversion became unusable on such environment (i.e. debian etch stable, python 2.4 on windows).

Comments (2)

  1. Augie Fackler repo owner

    Commit never worked on such an environment anyway as far as I could tell. I'll look into at least making it possible to pull on a 1.4 server, but the 1.4 bindings are essentially broken anyway.

  2. Augie Fackler repo owner

    As of r45 I'm just going to just not support svn 1.4.x. There are just too many problems with the SWIG bindings in those versions for this to be a practical exercise. When ctypes support happens, svn 1.4.x should work out of the box. This change is documented in 80b923ab242b .

  3. Log in to comment